Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Jun 2017 21:21:35 +0300

> Date: Sun, 25 Jun 2017 18:12:23 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> I hope I've done that already in my previous mail.  Obviously, any such
> emulation I mentioned in that mail would result in some sort of overlay
> for the buffer text that is displayed there.  While such overlays are
> temporarily tolerable for menus I strongly doubt that we would want them
> for anything else.

You are right.  That trick works for menus only because we preempt the
input queue until the menu is exited, exactly what Dmitry wants to get
rid of.

Too bad.  I tried to think about some idea for implementing such
popups in the display engine, but for now came up empty-handed.  I
will think some more.